/*==============================================================================================*/
/*==============================================================================================*/
#include "STM32_SYSTEM.h"
#include "STM32_I2C.h"
#include "Module_L3G4200.h"
/*==============================================================================================*/
/*==============================================================================================*
** : L3G4200_Init
**\ : lL3G4200
**J : L
**X : L
**ϥ : L3G4200_Init()
**==============================================================================================*/
/*==============================================================================================*/
void L3G4200_Init( void )
{
	u8 L3G4200_Init_Data[6] = {
			0x8F,	/* L3G4200_CTRL_REG1	NormalMode, ODR:400Hz, CutOff:20, XYZEnable */
			0x00,	/* L3G4200_CTRL_REG2	*/
			0x08,	/* L3G4200_CTRL_REG3	*/
			0x20,	/* L3G4200_CTRL_REG4	Range:2000dps */
			0x00,	/* L3G4200_CTRL_REG5	*/
			0x00	/* L3G4200_REFERENCE	*/
		};
	I2C_DMA_WriteReg(L3G4200_Init_Data,   L3G4200_I2C_ADDR, L3G4200_CTRL_REG1, 1);Delay_1ms(1);
	I2C_DMA_WriteReg(L3G4200_Init_Data+1, L3G4200_I2C_ADDR, L3G4200_CTRL_REG2, 1);Delay_1ms(1);
	I2C_DMA_WriteReg(L3G4200_Init_Data+2, L3G4200_I2C_ADDR, L3G4200_CTRL_REG3, 1);Delay_1ms(1);
	I2C_DMA_WriteReg(L3G4200_Init_Data+3, L3G4200_I2C_ADDR, L3G4200_CTRL_REG4, 1);Delay_1ms(1);
	I2C_DMA_WriteReg(L3G4200_Init_Data+4, L3G4200_I2C_ADDR, L3G4200_CTRL_REG5, 1);Delay_1ms(1);
	I2C_DMA_WriteReg(L3G4200_Init_Data+5, L3G4200_I2C_ADDR, L3G4200_REFERENCE, 1);Delay_1ms(1);
}
/*==============================================================================================*/
/*==============================================================================================*
** : L3G4200_Read_Multiple
**\ : 
**J : 
**X : 
**ϥ : 
**==============================================================================================*/
/*==============================================================================================*/
void L3G4200_Read_Multiple( u8* ReadMultiple )
{
	I2C_DMA_ReadReg(ReadMultiple, L3G4200_I2C_ADDR, L3G4200_MULTIPLE, 6);
}
/*==============================================================================================*/
/*==============================================================================================*/
